import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Cafe24 = {
  name: 'Cafe24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M2 28H30V30H2zM24.5 11H8a2.002 2.002 0 0 0-2 2v8a5.0059 5.0059 0 0 0 5 5h8a5.0059 5.0059 0 0 0 5-5V20h.5a4.5 4.5 0 0 0 0-9zM22 21a3.0033 3.0033 0 0 1-3 3H11a3.0033 3.0033 0 0 1-3-3V13H22zm2.5-3H24V13h.5a2.5 2.5 0 0 1 0 5zM19 9H17V8.854a1.9883 1.9883 0 0 0-1.1055-1.7886L13.2109 5.7236A3.9788 3.9788 0 0 1 11 2.146V1h2V2.146a1.9892 1.9892 0 0 0 1.1055 1.7886l2.6836 1.3418A3.9792 3.9792 0 0 1 19 8.854z"
      }
    }), children]);
  }
};

export default virtual_Cafe24;
