import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Events32 = {
  name: 'Events32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M26 14H24v2h2a3.0033 3.0033 0 0 1 3 3v4h2V19A5.0058 5.0058 0 0 0 26 14zM24 4a3 3 0 1 1-3 3 3 3 0 0 1 3-3m0-2a5 5 0 1 0 5 5A5 5 0 0 0 24 2zM23 30H21V28a3.0033 3.0033 0 0 0-3-3H14a3.0033 3.0033 0 0 0-3 3v2H9V28a5.0059 5.0059 0 0 1 5-5h4a5.0059 5.0059 0 0 1 5 5zM16 13a3 3 0 1 1-3 3 3 3 0 0 1 3-3m0-2a5 5 0 1 0 5 5A5 5 0 0 0 16 11zM8 14H6a5.0059 5.0059 0 0 0-5 5v4H3V19a3.0033 3.0033 0 0 1 3-3H8zM8 4A3 3 0 1 1 5 7 3 3 0 0 1 8 4M8 2a5 5 0 1 0 5 5A5 5 0 0 0 8 2z"
      }
    }), children]);
  }
};

export default virtual_Events32;
