import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_FolderAdd16 = {
  name: 'FolderAdd16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 16 16',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M13 10L12 10 12 12 10 12 10 13 12 13 12 15 13 15 13 13 15 13 15 12 13 12z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M14,4H8L6.3,2.3C6.1,2.1,5.9,2,5.6,2H2C1.4,2,1,2.4,1,3v10c0,0.6,0.4,1,1,1h6v-1H2V3h3.6l1.7,1.7L7.6,5H14v4h1V5\tC15,4.4,14.6,4,14,4z"
      }
    }), children]);
  }
};

export default virtual_FolderAdd16;
