import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Light16 = {
  name: 'Light16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 16 16',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M7.5 1H8.5V3.5H7.5z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M10.8 3.4H13.3V4.4H10.8z",
        "transform": "rotate(-45.001 12.041 3.923)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M12.5 7.5H15V8.5H12.5z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M11.6 10.8H12.6V13.3H11.6z",
        "transform": "rotate(-45.001 12.075 12.041)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M7.5 12.5H8.5V15H7.5z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M2.7 11.6H5.2V12.6H2.7z",
        "transform": "rotate(-45.001 3.96 12.079)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M1 7.5H3.5V8.5H1z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M3.4 2.7H4.4V5.2H3.4z",
        "transform": "rotate(-45.001 3.925 3.961)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M8,6c1.1,0,2,0.9,2,2s-0.9,2-2,2S6,9.1,6,8S6.9,6,8,6 M8,5C6.3,5,5,6.3,5,8s1.3,3,3,3s3-1.3,3-3S9.7,5,8,5z"
      }
    }), children]);
  }
};

export default virtual_Light16;
