import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_ShareKnowledge24 = {
  name: 'ShareKnowledge24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M27 25H21a3 3 0 0 0-3 3v2h2V28a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1v2h2V28A3 3 0 0 0 27 25zM20 20a4 4 0 1 0 4-4A4 4 0 0 0 20 20zm6 0a2 2 0 1 1-2-2A2 2 0 0 1 26 20zM6 21V20H4v1a7 7 0 0 0 7 7h3V26H11A5 5 0 0 1 6 21zM19 10H26V12H19zM19 6H29V8H19zM19 2H29V4H19zM11 11H5a3 3 0 0 0-3 3v2H4V14a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1v2h2V14A3 3 0 0 0 11 11zM8 10A4 4 0 1 0 4 6 4 4 0 0 0 8 10zM8 4A2 2 0 1 1 6 6 2 2 0 0 1 8 4z"
      }
    }), children]);
  }
};

export default virtual_ShareKnowledge24;
