'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_CopyFile24 = {
  name: 'CopyFile24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M27.4346,14.6987,21.377,8.5776A1.9488,1.9488,0,0,0,19.998,8H12a2.002,2.002,0,0,0-2,2V29a2.002,2.002,0,0,0,2,2H26a2.002,2.002,0,0,0,2-2V16.0771A1.9755,1.9755,0,0,0,27.4346,14.6987ZM20,10.03,25.9235,16H20ZM12,29V10h6v6a2.0023,2.0023,0,0,0,2,2h6.0006l.0009,11Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M6,18H4V4A2.002,2.002,0,0,1,6,2H20V4H6Z"
      }
    }), children]);
  }
};

module.exports = virtual_CopyFile24;
