'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Fade32 = {
  name: 'Fade32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M8.24 25.14L7 26.67a13.79 13.79 0 0 0 4.18 2.44l.69-1.87A12 12 0 0 1 8.24 25.14zM4.19 18l-2 .41A14.09 14.09 0 0 0 3.86 23L5.59 22A12.44 12.44 0 0 1 4.19 18zM11.82 4.76l-.69-1.87A13.79 13.79 0 0 0 7 5.33L8.24 6.86A12 12 0 0 1 11.82 4.76zM5.59 10L3.86 9a14.37 14.37 0 0 0-1.64 4.59l2 .34A12.05 12.05 0 0 1 5.59 10zM16 2V4a12 12 0 0 1 0 24v2A14 14 0 0 0 16 2z"
      }
    }), children]);
  }
};

module.exports = virtual_Fade32;
