'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Fog24 = {
  name: 'Fog24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M9 30H3a1 1 0 0 1 0-2H9a1 1 0 0 1 0 2zM23 30H13a1 1 0 0 1 0-2H23a1 1 0 0 1 0 2zM27 26H23a1 1 0 0 1 0-2h4a1 1 0 0 1 0 2zM19 26H3a1 1 0 0 1 0-2H19a1 1 0 0 1 0 2zM15 22H3a1 1 0 0 1 0-2H15a1 1 0 0 1 0 2z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M24.8008,9.1416a8.9929,8.9929,0,0,0-17.6006,0A6.5321,6.5321,0,0,0,2,15.5054,6.4518,6.4518,0,0,0,2.5,18H4.76A4.4633,4.4633,0,0,1,4,15.5054a4.517,4.517,0,0,1,4.144-4.481L8.96,10.96l.0991-.812a6.9931,6.9931,0,0,1,13.8838,0l.0986.812.8154.064A4.4947,4.4947,0,0,1,23.5,20H18v2h5.5A6.4944,6.4944,0,0,0,24.8008,9.1416Z"
      }
    }), children]);
  }
};

module.exports = virtual_Fog24;
