'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Rotate16 = {
  name: 'Rotate16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M17.91 26.82l.35 2a12.9 12.9 0 0 0 4.24-1.54l-1-1.73A10.88 10.88 0 0 1 17.91 26.82zM24.42 23.07L26 24.35a13 13 0 0 0 2.24-3.91l-1.87-.68A11 11 0 0 1 24.42 23.07zM9.5 27.25a12.9 12.9 0 0 0 4.24 1.54l.35-2a10.88 10.88 0 0 1-3.59-1.3zM5.67 19.76l-1.87.68A13 13 0 0 0 6 24.35l.32-.26 1.22-1h0a11 11 0 0 1-1.91-3.31zM29 16a12.85 12.85 0 0 0-.8-4.44l-1.87.68A11.18 11.18 0 0 1 27 16zM26 7.65a13 13 0 0 0-20 0V4H4v8h8V10H6.81A11 11 0 0 1 24.42 8.93z"
      }
    }), children]);
  }
};

module.exports = virtual_Rotate16;
