'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Sunrise24 = {
  name: 'Sunrise24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M2 27H29.998V29H2zM16 20a4.0045 4.0045 0 0 1 4 4h2a6 6 0 0 0-12 0h2A4.0045 4.0045 0 0 1 16 20zM25 22H30V24H25z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M21.668 14.854H26.625999999999998V16.854H21.668z",
        "transform": "rotate(-45 24.146 15.854)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M16 4L11 9 12.41 10.41 15 7.83 15 8 15 15 17 15 17 8 17 7.83 19.59 10.41 21 9 16 4z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M6.854 13.374H8.854V18.332H6.854z",
        "transform": "rotate(-45 7.854 15.854)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M2 22H7V24H2z"
      }
    }), children]);
  }
};

module.exports = virtual_Sunrise24;
