'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_UserActivity20 = {
  name: 'UserActivity20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M25 23h-.0215a1.0016 1.0016 0 0 1-.94-.7256L20.8711 11.19l-1.9346 5.1607A1.0005 1.0005 0 0 1 18 17H14V15h3.3066l2.7569-7.3511a1.0005 1.0005 0 0 1 1.8984.0762l3.1113 10.8921 1.9786-5.9336A.9988.9988 0 0 1 28 12h4v2H28.7207l-2.7725 8.3164A.9984.9984 0 0 1 25 23zM15 30H13V23a3.0033 3.0033 0 0 0-3-3H6a3.0033 3.0033 0 0 0-3 3v7H1V23a5.0059 5.0059 0 0 1 5-5h4a5.0059 5.0059 0 0 1 5 5zM8 8a3 3 0 1 1-3 3A3 3 0 0 1 8 8M8 6a5 5 0 1 0 5 5A5 5 0 0 0 8 6z"
      }
    }), children]);
  }
};

module.exports = virtual_UserActivity20;
