'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_UserFavoriteAltFilled20 = {
  name: 'UserFavoriteAltFilled20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M26.4938 3a3.4735 3.4735 0 0 0-2.48 1.0393l-.5111.5228-.5161-.5228a3.4792 3.4792 0 0 0-4.96 0 3.59 3.59 0 0 0 0 5.0251l5.4766 5.5427 5.4716-5.5427a3.59 3.59 0 0 0 0-5.0251A3.4738 3.4738 0 0 0 26.4938 3zM16 30H14V25a3.0033 3.0033 0 0 0-3-3H7a3.0033 3.0033 0 0 0-3 3v5H2V25a5.0059 5.0059 0 0 1 5-5h4a5.0059 5.0059 0 0 1 5 5zM9 10a3 3 0 1 1-3 3 3 3 0 0 1 3-3M9 8a5 5 0 1 0 5 5A5 5 0 0 0 9 8z"
      }
    }), children]);
  }
};

module.exports = virtual_UserFavoriteAltFilled20;
